%global pkgname django-tables2
Name:           python-django-tables2
Version:        1.1.2
Release:        2%{?dist}
Summary:        Table framework for Django

License:        BSD
URL:            https://github.com/bradleyayers/django-tables2
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
Provides:       django-tables2 = %{version}-%{release}


%description
django-tables2 simplifies the task of turning sets of data into HTML tables. 
It has native support for pagination and sorting. It does for HTML tables 
what django.forms does for HTML forms.

%package -n python2-%{pkgname}
Summary:        Table framework for Django
%{?python_provide:%python_provide python2-%{pkgname}}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python2-django
Requires:       python2-six

# test deps, tests not included in pypi package
# BuildRequires:  python-django-haystack
# BuildRequires:  python-fudge
# BuildRequires:  python-lxml
# BuildRequires:  pylint
# BuildRequires:  pytz
# BuildRequires:  pytest
# BuildRequires:  python-django-pytest
# BuildRequires:  python-flake8
# BuildRequires:  python-pytest-cov
# BuildRequires:  python-tox


%description -n python2-%{pkgname}
django-tables2 simplifies the task of turning sets of data into HTML tables. 
It has native support for pagination and sorting. It does for HTML tables 
what django.forms does for HTML forms.

%package -n python3-%{pkgname}
Summary:        Table framework for Django
%{?python_provide:%python_provide python3-%{pkgname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-django
Requires:       python3-six


%description -n python3-%{pkgname}
django-tables2 simplifies the task of turning sets of data into HTML tables. 
It has native support for pagination and sorting. It does for HTML tables 
what django.forms does for HTML forms.


%prep
%autosetup -n %{pkgname}-%{version}



%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%if 0%{?with_python3}
%py3_install
%endif

%py2_install


%files -n python2-%{pkgname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/django_tables2
%{python2_sitelib}/django_tables2-%{version}-py2.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/django_tables2
%{python3_sitelib}/django_tables2-%{version}-py2.?.egg-info
%endif


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Feb 22 2016 Matthias Runge <mrunge@redhat.com> - 1.1.2-1
- update to 1.1.2
- add python2, python3 subpackge

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 16 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.10.0-1
* Wed Mar 07 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-2
- remove included egg-info
- more specific %%files-section

* Sat Mar 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-1
- initial packaging
